package com.ti.mobpo.data

import kotlinx.coroutines.flow.Flow

/**
 * Repository that provides insert, update, delete, and retrieve of [Item] from a given data source.
 */
interface FavouritesRepository {
    /**
     * Retrieve all the items from the the given data source.
     */
    fun getAllItems(): Flow<List<Favourite>>

    /**
     * Insert item in the data source
     */
    suspend fun insertItem(item: Favourite)

    /**
     * Delete item from the data source
     */
    suspend fun deleteItem(item: Favourite)

    /**
     * Check if the item is a favourite
     */

    suspend fun isFavourite(id: Int): Boolean
}
